import java.io.*;
import java.util.*;

public class TaskA2 {
    public void solve() throws IOException {
        Scanner scan = new Scanner(System.in);
        long n = scan.nextLong();
        int k = scan.nextInt();
        int count = 0;
        while ((n % k != 0) && (n >= k) ){
            n -=(n/k);
            count++;
        }
        if (n < k){
            System.out.println(0);
        }
        else
        {
            System.out.println(count+1);
        }

    }

    public void run() {
        try {
            br = new BufferedReader(new InputStreamReader(System.in));
            out = new PrintWriter(System.out);

            solve();

            out.close();
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(1);
        }
    }


    BufferedReader br;
    StringTokenizer in;
    PrintWriter out;

    public String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }

    public static void main(String[] args) throws IOException {
        Locale.setDefault(Locale.US);
        new TaskA2().run();
    }

}
